gtkmm: Gtk::Settings Class Reference

gtkmm 4.2.0

Public Member Functions | Static Public Member Functions | Related Functions | List of all members
Gtk::Settings Class Reference

Sharing settings between applications. More...

`#include <gtkmm/settings.h>`

Inheritance diagram for Gtk::Settings:
[legend]

## Public Member Functions
| Settings (Settings&& src) noexcept
Settings& | operator= (Settings&& src) noexcept
| ~Settings () noexcept override
GtkSettings* | gobj ()
| Provides access to the underlying C GObject. More...
const GtkSettings* | gobj () const
| Provides access to the underlying C GObject. More...
GtkSettings* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
void | reset_property (const Glib::ustring& name)
| Undoes the effect of calling Glib::object_set() to install an application-specific value for a setting. More...
Glib::PropertyProxy< int > | property_gtk_double_click_time ()
| The maximum time to allow between two clicks for them to be considered a double click, in milliseconds. More...
Glib::PropertyProxy_ReadOnly< int > | property_gtk_double_click_time () const
| The maximum time to allow between two clicks for them to be considered a double click, in milliseconds. More...
Glib::PropertyProxy< int > | property_gtk_double_click_distance ()
| The maximum distance allowed between two clicks for them to be considered a double click, in pixels. More...
Glib::PropertyProxy_ReadOnly< int > | property_gtk_double_click_distance () const
| The maximum distance allowed between two clicks for them to be considered a double click, in pixels. More...
Glib::PropertyProxy< bool > | property_gtk_cursor_blink ()
| Whether the cursor should blink. More...
Glib::PropertyProxy_ReadOnly< bool > | property_gtk_cursor_blink () const
| Whether the cursor should blink. More...
Glib::PropertyProxy< int > | property_gtk_cursor_blink_time ()
| Length of the cursor blink cycle, in milliseconds. More...
Glib::PropertyProxy_ReadOnly< int > | property_gtk_cursor_blink_time () const
| Length of the cursor blink cycle, in milliseconds. More...
Glib::PropertyProxy< int > | property_gtk_cursor_blink_timeout ()
| Time after which the cursor stops blinking, in seconds. More...
Glib::PropertyProxy_ReadOnly< int > | property_gtk_cursor_blink_timeout () const
| Time after which the cursor stops blinking, in seconds. More...
Glib::PropertyProxy< bool > | property_gtk_split_cursor ()
| Whether two cursors should be displayed for mixed left-to-right and right-to-left text. More...
Glib::PropertyProxy_ReadOnly< bool > | property_gtk_split_cursor () const
| Whether two cursors should be displayed for mixed left-to-right and right-to-left text. More...
Glib::PropertyProxy< double > | property_gtk_cursor_aspect_ratio ()
| The aspect ratio of the text caret. More...
Glib::PropertyProxy_ReadOnly< double > | property_gtk_cursor_aspect_ratio () const
| The aspect ratio of the text caret. More...
Glib::PropertyProxy< Glib::ustring > | property_gtk_theme_name ()
| Name of the theme to load. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_gtk_theme_name () const
| Name of the theme to load. More...
Glib::PropertyProxy< int > | property_gtk_dnd_drag_threshold ()
| The number of pixels the cursor can move before dragging. More...
Glib::PropertyProxy_ReadOnly< int > | property_gtk_dnd_drag_threshold () const
| The number of pixels the cursor can move before dragging. More...
Glib::PropertyProxy< Glib::ustring > | property_gtk_font_name ()
| The default font to use. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_gtk_font_name () const
| The default font to use. More...
Glib::PropertyProxy< int > | property_gtk_xft_antialias ()
| Whether to antialias fonts. More...
Glib::PropertyProxy_ReadOnly< int > | property_gtk_xft_antialias () const
| Whether to antialias fonts. More...
Glib::PropertyProxy< int > | property_gtk_xft_hinting ()
| Whether to enable font hinting. More...
Glib::PropertyProxy_ReadOnly< int > | property_gtk_xft_hinting () const
| Whether to enable font hinting. More...
Glib::PropertyProxy< Glib::ustring > | property_gtk_xft_hintstyle ()
| What degree of font hinting to use. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_gtk_xft_hintstyle () const
| What degree of font hinting to use. More...
Glib::PropertyProxy< Glib::ustring > | property_gtk_xft_rgba ()
| The type of subpixel antialiasing to use. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_gtk_xft_rgba () const
| The type of subpixel antialiasing to use. More...
Glib::PropertyProxy< int > | property_gtk_xft_dpi ()
| The font resolution, in 1024 * dots/inch. More...
Glib::PropertyProxy_ReadOnly< int > | property_gtk_xft_dpi () const
| The font resolution, in 1024 * dots/inch. More...
Glib::PropertyProxy< Glib::ustring > | property_gtk_cursor_theme_name ()
| Name of the cursor theme to use. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_gtk_cursor_theme_name () const
| Name of the cursor theme to use. More...
Glib::PropertyProxy< int > | property_gtk_cursor_theme_size ()
| The size to use for cursors. More...
Glib::PropertyProxy_ReadOnly< int > | property_gtk_cursor_theme_size () const
| The size to use for cursors. More...
Glib::PropertyProxy< bool > | property_gtk_alternative_button_order ()
| Whether buttons in dialogs should use the alternative button order. More...
Glib::PropertyProxy_ReadOnly< bool > | property_gtk_alternative_button_order () const
| Whether buttons in dialogs should use the alternative button order. More...
Glib::PropertyProxy< bool > | property_gtk_alternative_sort_arrows ()
| Controls the direction of the sort indicators in sorted list and tree views. More...
Glib::PropertyProxy_ReadOnly< bool > | property_gtk_alternative_sort_arrows () const
| Controls the direction of the sort indicators in sorted list and tree views. More...
Glib::PropertyProxy< bool > | property_gtk_enable_animations ()
| Whether to enable toolkit-wide animations. More...
Glib::PropertyProxy_ReadOnly< bool > | property_gtk_enable_animations () const
| Whether to enable toolkit-wide animations. More...
Glib::PropertyProxy< bool > | property_gtk_error_bell ()
| When `true`, keyboard navigation and other input-related errors will cause a beep. More...
Glib::PropertyProxy_ReadOnly< bool > | property_gtk_error_bell () const
| When `true`, keyboard navigation and other input-related errors will cause a beep. More...
Glib::PropertyProxy< Glib::ustring > | property_gtk_print_backends ()
| A comma-separated list of print backends to use in the print dialog. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_gtk_print_backends () const
| A comma-separated list of print backends to use in the print dialog. More...
Glib::PropertyProxy< Glib::ustring > | property_gtk_print_preview_command ()
| A command to run for displaying the print preview. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_gtk_print_preview_command () const
| A command to run for displaying the print preview. More...
Glib::PropertyProxy< bool > | property_gtk_enable_accels ()
| Whether menu items should have visible accelerators which can be activated. More...
Glib::PropertyProxy_ReadOnly< bool > | property_gtk_enable_accels () const
| Whether menu items should have visible accelerators which can be activated. More...
Glib::PropertyProxy< Glib::ustring > | property_gtk_im_module ()
| Which IM (input method) module should be used by default. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_gtk_im_module () const
| Which IM (input method) module should be used by default. More...
Glib::PropertyProxy< int > | property_gtk_recent_files_max_age ()
| The maximum age, in days, of the items inside the recently used resources list. More...
Glib::PropertyProxy_ReadOnly< int > | property_gtk_recent_files_max_age () const
| The maximum age, in days, of the items inside the recently used resources list. More...
Glib::PropertyProxy< int > | property_gtk_fontconfig_timestamp ()
| Timestamp of the curent fontconfig configuration. More...
Glib::PropertyProxy_ReadOnly< int > | property_gtk_fontconfig_timestamp () const
| Timestamp of the curent fontconfig configuration. More...
Glib::PropertyProxy< Glib::ustring > | property_gtk_sound_theme_name ()
| The XDG sound theme to use for event sounds. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_gtk_sound_theme_name () const
| The XDG sound theme to use for event sounds. More...
Glib::PropertyProxy< bool > | property_gtk_enable_input_feedback_sounds ()
| Whether to play event sounds as feedback to user input. More...
Glib::PropertyProxy_ReadOnly< bool > | property_gtk_enable_input_feedback_sounds () const
| Whether to play event sounds as feedback to user input. More...
Glib::PropertyProxy< bool > | property_gtk_enable_event_sounds ()
| Whether to play any event sounds at all. More...
Glib::PropertyProxy_ReadOnly< bool > | property_gtk_enable_event_sounds () const
| Whether to play any event sounds at all. More...
Glib::PropertyProxy< bool > | property_gtk_application_prefer_dark_theme ()
| Whether the application prefers to use a dark theme. More...
Glib::PropertyProxy_ReadOnly< bool > | property_gtk_application_prefer_dark_theme () const
| Whether the application prefers to use a dark theme. More...
Glib::PropertyProxy< bool > | property_gtk_shell_shows_app_menu ()
| Set to `true` if the desktop environment is displaying the app menu, `false` if the app should display it itself. More...
Glib::PropertyProxy_ReadOnly< bool > | property_gtk_shell_shows_app_menu () const
| Set to `true` if the desktop environment is displaying the app menu, `false` if the app should display it itself. More...
Glib::PropertyProxy< bool > | property_gtk_shell_shows_menubar ()
| Set to `true` if the desktop environment is displaying the menubar, `false` if the app should display it itself. More...
Glib::PropertyProxy_ReadOnly< bool > | property_gtk_shell_shows_menubar () const
| Set to `true` if the desktop environment is displaying the menubar, `false` if the app should display it itself. More...
Glib::PropertyProxy< bool > | property_gtk_shell_shows_desktop ()
| Set to `true` if the desktop environment is displaying the desktop folder, `false` if not. More...
Glib::PropertyProxy_ReadOnly< bool > | property_gtk_shell_shows_desktop () const
| Set to `true` if the desktop environment is displaying the desktop folder, `false` if not. More...
Glib::PropertyProxy< bool > | property_gtk_enable_primary_paste ()
| Whether a middle click on a mouse should paste the 'PRIMARY' clipboard content at the cursor location. More...
Glib::PropertyProxy_ReadOnly< bool > | property_gtk_enable_primary_paste () const
| Whether a middle click on a mouse should paste the 'PRIMARY' clipboard content at the cursor location. More...
Glib::PropertyProxy< bool > | property_gtk_label_select_on_focus ()
| Whether to select the contents of a selectable label when it is focused. More...
Glib::PropertyProxy_ReadOnly< bool > | property_gtk_label_select_on_focus () const
| Whether to select the contents of a selectable label when it is focused. More...
Glib::PropertyProxy< guint > | property_gtk_entry_password_hint_timeout ()
| How long to show the last input character in hidden entries. More...
Glib::PropertyProxy_ReadOnly< guint > | property_gtk_entry_password_hint_timeout () const
| How long to show the last input character in hidden entries. More...
Glib::PropertyProxy< bool > | property_gtk_entry_select_on_focus ()
| Whether to select the contents of an entry when it is focused. More...
Glib::PropertyProxy_ReadOnly< bool > | property_gtk_entry_select_on_focus () const
| Whether to select the contents of an entry when it is focused. More...
Glib::PropertyProxy< Glib::ustring > | property_gtk_icon_theme_name ()
| Name of the icon theme to use. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_gtk_icon_theme_name () const
| Name of the icon theme to use. More...
Glib::PropertyProxy< bool > | property_gtk_recent_files_enabled ()
| Whether GTK should keep track of items inside the recently used resources list. More...
Glib::PropertyProxy_ReadOnly< bool > | property_gtk_recent_files_enabled () const
| Whether GTK should keep track of items inside the recently used resources list. More...
Glib::PropertyProxy< bool > | property_gtk_primary_button_warps_slider ()
| If the value of this setting is `true`, clicking the primary button in a Gtk::Range trough will move the slider, and hence set the range’s value, to the point that you clicked. More...
Glib::PropertyProxy_ReadOnly< bool > | property_gtk_primary_button_warps_slider () const
| If the value of this setting is `true`, clicking the primary button in a Gtk::Range trough will move the slider, and hence set the range’s value, to the point that you clicked. More...
Glib::PropertyProxy< Glib::ustring > | property_gtk_decoration_layout ()
| Determines which buttons should be put in the titlebar of client-side decorated windows, and whether they should be placed at the left of right. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_gtk_decoration_layout () const
| Determines which buttons should be put in the titlebar of client-side decorated windows, and whether they should be placed at the left of right. More...
Glib::PropertyProxy< Glib::ustring > | property_gtk_titlebar_double_click ()
| Determines the action to take when a double-click occurs on the titlebar of client-side decorated windows. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_gtk_titlebar_double_click () const
| Determines the action to take when a double-click occurs on the titlebar of client-side decorated windows. More...
Glib::PropertyProxy< Glib::ustring > | property_gtk_titlebar_middle_click ()
| Determines the action to take when a middle-click occurs on the titlebar of client-side decorated windows. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_gtk_titlebar_middle_click () const
| Determines the action to take when a middle-click occurs on the titlebar of client-side decorated windows. More...
Glib::PropertyProxy< Glib::ustring > | property_gtk_titlebar_right_click ()
| Determines the action to take when a right-click occurs on the titlebar of client-side decorated windows. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_gtk_titlebar_right_click () const
| Determines the action to take when a right-click occurs on the titlebar of client-side decorated windows. More...
Glib::PropertyProxy< bool > | property_gtk_dialogs_use_header ()
| Whether builtin GTK dialogs such as the file chooser, the color chooser or the font chooser will use a header bar at the top to show action widgets, or an action area at the bottom. More...
Glib::PropertyProxy_ReadOnly< bool > | property_gtk_dialogs_use_header () const
| Whether builtin GTK dialogs such as the file chooser, the color chooser or the font chooser will use a header bar at the top to show action widgets, or an action area at the bottom. More...
Glib::PropertyProxy< guint > | property_gtk_long_press_time ()
| The time for a button or touch press to be considered a “long press”. More...
Glib::PropertyProxy_ReadOnly< guint > | property_gtk_long_press_time () const
| The time for a button or touch press to be considered a “long press”. More...
Glib::PropertyProxy< bool > | property_gtk_keynav_use_caret ()
| Whether GTK should make sure that text can be navigated with a caret, even if it is not editable. More...
Glib::PropertyProxy_ReadOnly< bool > | property_gtk_keynav_use_caret () const
| Whether GTK should make sure that text can be navigated with a caret, even if it is not editable. More...
Glib::PropertyProxy< bool > | property_gtk_overlay_scrolling ()
| Whether scrolled windows may use overlaid scrolling indicators. More...
Glib::PropertyProxy_ReadOnly< bool > | property_gtk_overlay_scrolling () const
| Whether scrolled windows may use overlaid scrolling indicators. More...
Public Member Functions inherited from Glib::Object
| Object (const Object &)=delete
Object & | operator= (const Object &)=delete
| Object (Object &&src) noexcept
Object & | operator= (Object &&src) noexcept
void * | get_data (const QueryQuark &key)
void | set_data (const Quark &key, void *data)
void | set_data (const Quark &key, void *data, DestroyNotify notify)
void | remove_data (const QueryQuark &quark)
void * | steal_data (const QueryQuark &quark)
Glib::RefPtr< Glib::Object > | wrap (GObject *object, bool take_copy=false)
Public Member Functions inherited from Glib::ObjectBase
| ObjectBase (const ObjectBase &)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
PropertyType | get_property (const Glib::ustring &property_name) const
sigc::connection | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void()> &slot)
sigc::connection | connect_property_changed (const Glib::ustring &property_name, sigc::slot< void()> &&slot)
void | freeze_notify ()
void | thaw_notify ()
virtual void | reference () const
virtual void | unreference () const
GObject * | gobj ()
const GObject * | gobj () const
GObject * | gobj_copy () const
Public Member Functions inherited from Gtk::StyleProvider
| StyleProvider (StyleProvider&& src) noexcept
StyleProvider& | operator= (StyleProvider&& src) noexcept
| ~StyleProvider () noexcept override
GtkStyleProvider* | gobj ()
| Provides access to the underlying C GObject. More...
const GtkStyleProvider* | gobj () const
| Provides access to the underlying C GObject. More...
Public Member Functions inherited from Glib::Interface
| Interface ()
| Interface (Interface &&src) noexcept
Interface & | operator= (Interface &&src) noexcept
| Interface (const Glib::Interface_Class &interface_class)
| Interface (GObject *castitem)
| ~Interface () noexcept override
| Interface (const Interface &)=delete
Interface & | operator= (const Interface &)=delete
GObject * | gobj ()
const GObject * | gobj () const

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
static Glib::RefPtr< Settings > | get_default ()
| Gets the `GtkSettings` object for the default display, creating it if necessary. More...
static Glib::RefPtr< Settings > | get_for_display (const Glib::RefPtr< Gdk::Display >& display)
| Gets the `GtkSettings` object for display, creating it if necessary. More...
Static Public Member Functions inherited from Gtk::StyleProvider
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gtk::Settings > | wrap (GtkSettings* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Gtk::StyleProvider
Glib::RefPtr< Gtk::StyleProvider > | wrap (GtkStyleProvider* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Additional Inherited Members
Public Types inherited from Glib::Object
typedef void(*)(gpointer data | DestroyNotify)
Protected Member Functions inherited from Glib::Object
| Object ()
| Object (const Glib::ConstructParams &construct_params)
| Object (GObject *castitem)
| ~Object () noexcept override
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| ObjectBase (const char *custom_type_name)
| ObjectBase (const std::type_info &custom_type_info)
| ObjectBase (ObjectBase &&src) noexcept
ObjectBase & | operator= (ObjectBase &&src) noexcept
virtual | ~ObjectBase () noexcept=0
void | initialize (GObject *castitem)
void | initialize_move (GObject *castitem, Glib::ObjectBase *previous_wrapper)
Protected Member Functions inherited from Gtk::StyleProvider
| StyleProvider ()
| You should derive from this class to use it. More...

## Detailed Description

Sharing settings between applications.

## Constructor & Destructor Documentation

## ◆ Settings()

Gtk::Settings::Settings | ( | Settings&& | src | ) |
| noexcept

## ◆ ~Settings()

Gtk::Settings::~Settings | ( |  | ) |
| overridenoexcept

## Member Function Documentation

## ◆ get_default()

static Glib::RefPtr<Settings> Gtk::Settings::get_default | ( |  | ) |
| static

Gets the `GtkSettings` object for the default display, creating it if necessary.

See [type_func Gtk.Settings.get_for_display].

Returns
  A `GtkSettings` object. If there is no default display, then returns `nullptr`.

## ◆ get_for_display()

static Glib::RefPtr<Settings> Gtk::Settings::get_for_display | ( | const Glib::RefPtr< Gdk::Display >& | display | ) |
| static

Gets the `GtkSettings` object for display, creating it if necessary.

Parameters

  display | A `GdkDisplay`.

Returns
  A `GtkSettings` object.

## ◆ get_type()

static GType Gtk::Settings::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

## ◆ gobj() [1/2]

GtkSettings* Gtk::Settings::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

## ◆ gobj() [2/2]

const GtkSettings* Gtk::Settings::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

## ◆ gobj_copy()

GtkSettings* Gtk::Settings::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## ◆ operator=()

Settings& Gtk::Settings::operator= | ( | Settings&& | src | ) |
| noexcept

## ◆ property_gtk_alternative_button_order() [1/2]

Glib::PropertyProxy< bool > Gtk::Settings::property_gtk_alternative_button_order | ( |  | ) |

Whether buttons in dialogs should use the alternative button order.

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_alternative_button_order() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::Settings::property_gtk_alternative_button_order | ( |  | ) | const

Whether buttons in dialogs should use the alternative button order.

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_alternative_sort_arrows() [1/2]

Glib::PropertyProxy< bool > Gtk::Settings::property_gtk_alternative_sort_arrows | ( |  | ) |

Controls the direction of the sort indicators in sorted list and tree views.

By default an arrow pointing down means the column is sorted in ascending order. When set to `true`, this order will be inverted.

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_alternative_sort_arrows() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::Settings::property_gtk_alternative_sort_arrows | ( |  | ) | const

Controls the direction of the sort indicators in sorted list and tree views.

By default an arrow pointing down means the column is sorted in ascending order. When set to `true`, this order will be inverted.

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_application_prefer_dark_theme() [1/2]

Glib::PropertyProxy< bool > Gtk::Settings::property_gtk_application_prefer_dark_theme | ( |  | ) |

Whether the application prefers to use a dark theme.

If a GTK theme includes a dark variant, it will be used instead of the configured theme.

Some applications benefit from minimizing the amount of light pollution that interferes with the content. Good candidates for dark themes are photo and video editors that make the actual content get all the attention and minimize the distraction of the chrome.

Dark themes should not be used for documents, where large spaces are white/light and the dark chrome creates too much contrast (web browser, text editor...).

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_application_prefer_dark_theme() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::Settings::property_gtk_application_prefer_dark_theme | ( |  | ) | const

Whether the application prefers to use a dark theme.

If a GTK theme includes a dark variant, it will be used instead of the configured theme.

Some applications benefit from minimizing the amount of light pollution that interferes with the content. Good candidates for dark themes are photo and video editors that make the actual content get all the attention and minimize the distraction of the chrome.

Dark themes should not be used for documents, where large spaces are white/light and the dark chrome creates too much contrast (web browser, text editor...).

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_cursor_aspect_ratio() [1/2]

Glib::PropertyProxy< double > Gtk::Settings::property_gtk_cursor_aspect_ratio | ( |  | ) |

The aspect ratio of the text caret.

Default value: 0.04

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_cursor_aspect_ratio() [2/2]

Glib::PropertyProxy_ReadOnly< double > Gtk::Settings::property_gtk_cursor_aspect_ratio | ( |  | ) | const

The aspect ratio of the text caret.

Default value: 0.04

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_cursor_blink() [1/2]

Glib::PropertyProxy< bool > Gtk::Settings::property_gtk_cursor_blink | ( |  | ) |

Whether the cursor should blink.

Also see the [property Gtk.Settings:gtk-cursor-blink-timeout] setting, which allows more flexible control over cursor blinking.

Default value: `true`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_cursor_blink() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::Settings::property_gtk_cursor_blink | ( |  | ) | const

Whether the cursor should blink.

Also see the [property Gtk.Settings:gtk-cursor-blink-timeout] setting, which allows more flexible control over cursor blinking.

Default value: `true`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_cursor_blink_time() [1/2]

Glib::PropertyProxy< int > Gtk::Settings::property_gtk_cursor_blink_time | ( |  | ) |

Length of the cursor blink cycle, in milliseconds.

Default value: 1200

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_cursor_blink_time() [2/2]

Glib::PropertyProxy_ReadOnly< int > Gtk::Settings::property_gtk_cursor_blink_time | ( |  | ) | const

Length of the cursor blink cycle, in milliseconds.

Default value: 1200

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_cursor_blink_timeout() [1/2]

Glib::PropertyProxy< int > Gtk::Settings::property_gtk_cursor_blink_timeout | ( |  | ) |

Time after which the cursor stops blinking, in seconds.

The timer is reset after each user interaction.

Setting this to zero has the same effect as setting [property Gtk.Settings:gtk-cursor-blink] to `false`.

Default value: 10

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_cursor_blink_timeout() [2/2]

Glib::PropertyProxy_ReadOnly< int > Gtk::Settings::property_gtk_cursor_blink_timeout | ( |  | ) | const

Time after which the cursor stops blinking, in seconds.

The timer is reset after each user interaction.

Setting this to zero has the same effect as setting [property Gtk.Settings:gtk-cursor-blink] to `false`.

Default value: 10

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_cursor_theme_name() [1/2]

Glib::PropertyProxy< Glib::ustring > Gtk::Settings::property_gtk_cursor_theme_name | ( |  | ) |

Name of the cursor theme to use.

Use `nullptr` to use the default theme.

Default value: ""

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_cursor_theme_name() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::Settings::property_gtk_cursor_theme_name | ( |  | ) | const

Name of the cursor theme to use.

Use `nullptr` to use the default theme.

Default value: ""

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_cursor_theme_size() [1/2]

Glib::PropertyProxy< int > Gtk::Settings::property_gtk_cursor_theme_size | ( |  | ) |

The size to use for cursors.

0 means to use the default size.

Default value: 0

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_cursor_theme_size() [2/2]

Glib::PropertyProxy_ReadOnly< int > Gtk::Settings::property_gtk_cursor_theme_size | ( |  | ) | const

The size to use for cursors.

0 means to use the default size.

Default value: 0

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_decoration_layout() [1/2]

Glib::PropertyProxy< Glib::ustring > Gtk::Settings::property_gtk_decoration_layout | ( |  | ) |

Determines which buttons should be put in the titlebar of client-side decorated windows, and whether they should be placed at the left of right.

The format of the string is button names, separated by commas. A colon separates the buttons that should appear on the left from those on the right. Recognized button names are minimize, maximize, close, icon (the window icon) and menu (a menu button for the fallback app menu).

For example, "menu:minimize,maximize,close" specifies a menu on the left, and minimize, maximize and close buttons on the right.

Note that buttons will only be shown when they are meaningful. E.g. a menu button only appears when the desktop shell does not show the app menu, and a close button only appears on a window that can be closed.

Also note that the setting can be overridden with the [property Gtk.HeaderBar:decoration-layout] property.

Default value: "menu:minimize,maximize,close"

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_decoration_layout() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::Settings::property_gtk_decoration_layout | ( |  | ) | const

Determines which buttons should be put in the titlebar of client-side decorated windows, and whether they should be placed at the left of right.

The format of the string is button names, separated by commas. A colon separates the buttons that should appear on the left from those on the right. Recognized button names are minimize, maximize, close, icon (the window icon) and menu (a menu button for the fallback app menu).

For example, "menu:minimize,maximize,close" specifies a menu on the left, and minimize, maximize and close buttons on the right.

Note that buttons will only be shown when they are meaningful. E.g. a menu button only appears when the desktop shell does not show the app menu, and a close button only appears on a window that can be closed.

Also note that the setting can be overridden with the [property Gtk.HeaderBar:decoration-layout] property.

Default value: "menu:minimize,maximize,close"

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_dialogs_use_header() [1/2]

Glib::PropertyProxy< bool > Gtk::Settings::property_gtk_dialogs_use_header | ( |  | ) |

Whether builtin GTK dialogs such as the file chooser, the color chooser or the font chooser will use a header bar at the top to show action widgets, or an action area at the bottom.

This setting does not affect custom dialogs using `GtkDialog` directly, or message dialogs.

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_dialogs_use_header() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::Settings::property_gtk_dialogs_use_header | ( |  | ) | const

Whether builtin GTK dialogs such as the file chooser, the color chooser or the font chooser will use a header bar at the top to show action widgets, or an action area at the bottom.

This setting does not affect custom dialogs using `GtkDialog` directly, or message dialogs.

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_dnd_drag_threshold() [1/2]

Glib::PropertyProxy< int > Gtk::Settings::property_gtk_dnd_drag_threshold | ( |  | ) |

The number of pixels the cursor can move before dragging.

Default value: 8

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_dnd_drag_threshold() [2/2]

Glib::PropertyProxy_ReadOnly< int > Gtk::Settings::property_gtk_dnd_drag_threshold | ( |  | ) | const

The number of pixels the cursor can move before dragging.

Default value: 8

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_double_click_distance() [1/2]

Glib::PropertyProxy< int > Gtk::Settings::property_gtk_double_click_distance | ( |  | ) |

The maximum distance allowed between two clicks for them to be considered a double click, in pixels.

Default value: 5

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_double_click_distance() [2/2]

Glib::PropertyProxy_ReadOnly< int > Gtk::Settings::property_gtk_double_click_distance | ( |  | ) | const

The maximum distance allowed between two clicks for them to be considered a double click, in pixels.

Default value: 5

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_double_click_time() [1/2]

Glib::PropertyProxy< int > Gtk::Settings::property_gtk_double_click_time | ( |  | ) |

The maximum time to allow between two clicks for them to be considered a double click, in milliseconds.

Default value: 400

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_double_click_time() [2/2]

Glib::PropertyProxy_ReadOnly< int > Gtk::Settings::property_gtk_double_click_time | ( |  | ) | const

The maximum time to allow between two clicks for them to be considered a double click, in milliseconds.

Default value: 400

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_enable_accels() [1/2]

Glib::PropertyProxy< bool > Gtk::Settings::property_gtk_enable_accels | ( |  | ) |

Whether menu items should have visible accelerators which can be activated.

Default value: `true`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_enable_accels() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::Settings::property_gtk_enable_accels | ( |  | ) | const

Whether menu items should have visible accelerators which can be activated.

Default value: `true`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_enable_animations() [1/2]

Glib::PropertyProxy< bool > Gtk::Settings::property_gtk_enable_animations | ( |  | ) |

Whether to enable toolkit-wide animations.

Default value: `true`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_enable_animations() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::Settings::property_gtk_enable_animations | ( |  | ) | const

Whether to enable toolkit-wide animations.

Default value: `true`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_enable_event_sounds() [1/2]

Glib::PropertyProxy< bool > Gtk::Settings::property_gtk_enable_event_sounds | ( |  | ) |

Whether to play any event sounds at all.

See the Sound Theme Specifications for more information on event sounds and sound themes.

GTK itself does not support event sounds, you have to use a loadable module like the one that comes with libcanberra.

Default value: `true`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_enable_event_sounds() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::Settings::property_gtk_enable_event_sounds | ( |  | ) | const

Whether to play any event sounds at all.

See the Sound Theme Specifications for more information on event sounds and sound themes.

GTK itself does not support event sounds, you have to use a loadable module like the one that comes with libcanberra.

Default value: `true`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_enable_input_feedback_sounds() [1/2]

Glib::PropertyProxy< bool > Gtk::Settings::property_gtk_enable_input_feedback_sounds | ( |  | ) |

Whether to play event sounds as feedback to user input.

See the Sound Theme Specifications for more information on event sounds and sound themes.

GTK itself does not support event sounds, you have to use a loadable module like the one that comes with libcanberra.

Default value: `true`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_enable_input_feedback_sounds() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::Settings::property_gtk_enable_input_feedback_sounds | ( |  | ) | const

Whether to play event sounds as feedback to user input.

See the Sound Theme Specifications for more information on event sounds and sound themes.

GTK itself does not support event sounds, you have to use a loadable module like the one that comes with libcanberra.

Default value: `true`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_enable_primary_paste() [1/2]

Glib::PropertyProxy< bool > Gtk::Settings::property_gtk_enable_primary_paste | ( |  | ) |

Whether a middle click on a mouse should paste the 'PRIMARY' clipboard content at the cursor location.

Default value: `true`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_enable_primary_paste() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::Settings::property_gtk_enable_primary_paste | ( |  | ) | const

Whether a middle click on a mouse should paste the 'PRIMARY' clipboard content at the cursor location.

Default value: `true`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_entry_password_hint_timeout() [1/2]

Glib::PropertyProxy< guint > Gtk::Settings::property_gtk_entry_password_hint_timeout | ( |  | ) |

How long to show the last input character in hidden entries.

This value is in milliseconds. 0 disables showing the last char. 600 is a good value for enabling it.

Default value: 0

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_entry_password_hint_timeout() [2/2]

Glib::PropertyProxy_ReadOnly< guint > Gtk::Settings::property_gtk_entry_password_hint_timeout | ( |  | ) | const

How long to show the last input character in hidden entries.

This value is in milliseconds. 0 disables showing the last char. 600 is a good value for enabling it.

Default value: 0

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_entry_select_on_focus() [1/2]

Glib::PropertyProxy< bool > Gtk::Settings::property_gtk_entry_select_on_focus | ( |  | ) |

Whether to select the contents of an entry when it is focused.

Default value: `true`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_entry_select_on_focus() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::Settings::property_gtk_entry_select_on_focus | ( |  | ) | const

Whether to select the contents of an entry when it is focused.

Default value: `true`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_error_bell() [1/2]

Glib::PropertyProxy< bool > Gtk::Settings::property_gtk_error_bell | ( |  | ) |

When `true`, keyboard navigation and other input-related errors will cause a beep.

Since the error bell is implemented using gdk_surface_beep(), the windowing system may offer ways to configure the error bell in many ways, such as flashing the window or similar visual effects.

Default value: `true`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_error_bell() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::Settings::property_gtk_error_bell | ( |  | ) | const

When `true`, keyboard navigation and other input-related errors will cause a beep.

Since the error bell is implemented using gdk_surface_beep(), the windowing system may offer ways to configure the error bell in many ways, such as flashing the window or similar visual effects.

Default value: `true`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_font_name() [1/2]

Glib::PropertyProxy< Glib::ustring > Gtk::Settings::property_gtk_font_name | ( |  | ) |

The default font to use.

GTK uses the family name and size from this string.

Default value: "Sans 10"

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_font_name() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::Settings::property_gtk_font_name | ( |  | ) | const

The default font to use.

GTK uses the family name and size from this string.

Default value: "Sans 10"

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_fontconfig_timestamp() [1/2]

Glib::PropertyProxy< int > Gtk::Settings::property_gtk_fontconfig_timestamp | ( |  | ) |

Timestamp of the curent fontconfig configuration.

Default value: 0

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_fontconfig_timestamp() [2/2]

Glib::PropertyProxy_ReadOnly< int > Gtk::Settings::property_gtk_fontconfig_timestamp | ( |  | ) | const

Timestamp of the curent fontconfig configuration.

Default value: 0

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_icon_theme_name() [1/2]

Glib::PropertyProxy< Glib::ustring > Gtk::Settings::property_gtk_icon_theme_name | ( |  | ) |

Name of the icon theme to use.

See [class Gtk.IconTheme] for details about how GTK handles icon themes.

Default value: "Adwaita"

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_icon_theme_name() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::Settings::property_gtk_icon_theme_name | ( |  | ) | const

Name of the icon theme to use.

See [class Gtk.IconTheme] for details about how GTK handles icon themes.

Default value: "Adwaita"

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_im_module() [1/2]

Glib::PropertyProxy< Glib::ustring > Gtk::Settings::property_gtk_im_module | ( |  | ) |

Which IM (input method) module should be used by default.

This is the input method that will be used if the user has not explicitly chosen another input method from the IM context menu. This also can be a colon-separated list of input methods, which GTK will try in turn until it finds one available on the system.

See [class Gtk.IMContext].

Default value: ""

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_im_module() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::Settings::property_gtk_im_module | ( |  | ) | const

Which IM (input method) module should be used by default.

This is the input method that will be used if the user has not explicitly chosen another input method from the IM context menu. This also can be a colon-separated list of input methods, which GTK will try in turn until it finds one available on the system.

See [class Gtk.IMContext].

Default value: ""

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_keynav_use_caret() [1/2]

Glib::PropertyProxy< bool > Gtk::Settings::property_gtk_keynav_use_caret | ( |  | ) |

Whether GTK should make sure that text can be navigated with a caret, even if it is not editable.

This is useful when using a screen reader.

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_keynav_use_caret() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::Settings::property_gtk_keynav_use_caret | ( |  | ) | const

Whether GTK should make sure that text can be navigated with a caret, even if it is not editable.

This is useful when using a screen reader.

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_label_select_on_focus() [1/2]

Glib::PropertyProxy< bool > Gtk::Settings::property_gtk_label_select_on_focus | ( |  | ) |

Whether to select the contents of a selectable label when it is focused.

Default value: `true`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_label_select_on_focus() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::Settings::property_gtk_label_select_on_focus | ( |  | ) | const

Whether to select the contents of a selectable label when it is focused.

Default value: `true`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_long_press_time() [1/2]

Glib::PropertyProxy< guint > Gtk::Settings::property_gtk_long_press_time | ( |  | ) |

The time for a button or touch press to be considered a “long press”.

See [class Gtk.GestureLongPress].

Default value: 500

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_long_press_time() [2/2]

Glib::PropertyProxy_ReadOnly< guint > Gtk::Settings::property_gtk_long_press_time | ( |  | ) | const

The time for a button or touch press to be considered a “long press”.

See [class Gtk.GestureLongPress].

Default value: 500

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_overlay_scrolling() [1/2]

Glib::PropertyProxy< bool > Gtk::Settings::property_gtk_overlay_scrolling | ( |  | ) |

Whether scrolled windows may use overlaid scrolling indicators.

If this is set to `false`, scrolled windows will have permanent scrollbars.

Default value: `true`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_overlay_scrolling() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::Settings::property_gtk_overlay_scrolling | ( |  | ) | const

Whether scrolled windows may use overlaid scrolling indicators.

If this is set to `false`, scrolled windows will have permanent scrollbars.

Default value: `true`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_primary_button_warps_slider() [1/2]

Glib::PropertyProxy< bool > Gtk::Settings::property_gtk_primary_button_warps_slider | ( |  | ) |

If the value of this setting is `true`, clicking the primary button in a Gtk::Range trough will move the slider, and hence set the range’s value, to the point that you clicked.

If it is `false`, a primary click will cause the slider/value to move by the range’s page-size towards the point clicked.

Whichever action you choose for the primary button, the other action will be available by holding Shift and primary-clicking, or clicking the middle mouse button.

Default value: `true`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_primary_button_warps_slider() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::Settings::property_gtk_primary_button_warps_slider | ( |  | ) | const

If the value of this setting is `true`, clicking the primary button in a Gtk::Range trough will move the slider, and hence set the range’s value, to the point that you clicked.

If it is `false`, a primary click will cause the slider/value to move by the range’s page-size towards the point clicked.

Whichever action you choose for the primary button, the other action will be available by holding Shift and primary-clicking, or clicking the middle mouse button.

Default value: `true`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_print_backends() [1/2]

Glib::PropertyProxy< Glib::ustring > Gtk::Settings::property_gtk_print_backends | ( |  | ) |

A comma-separated list of print backends to use in the print dialog.

Available print backends depend on the GTK installation, and may include "file", "cups", "lpr" or "papi".

Default value: "cups,file"

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_print_backends() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::Settings::property_gtk_print_backends | ( |  | ) | const

A comma-separated list of print backends to use in the print dialog.

Available print backends depend on the GTK installation, and may include "file", "cups", "lpr" or "papi".

Default value: "cups,file"

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_print_preview_command() [1/2]

Glib::PropertyProxy< Glib::ustring > Gtk::Settings::property_gtk_print_preview_command | ( |  | ) |

A command to run for displaying the print preview.

The command should contain a `f` placeholder, which will get replaced by the path to the pdf file. The command may also contain a `s` placeholder, which will get replaced by the path to a file containing the print settings in the format produced by [method Gtk.PrintSettings.to_file].

The preview application is responsible for removing the pdf file and the print settings file when it is done.

Default value: "evince --unlink-tempfile --preview --print-settings %s %f"

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_print_preview_command() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::Settings::property_gtk_print_preview_command | ( |  | ) | const

A command to run for displaying the print preview.

The command should contain a `f` placeholder, which will get replaced by the path to the pdf file. The command may also contain a `s` placeholder, which will get replaced by the path to a file containing the print settings in the format produced by [method Gtk.PrintSettings.to_file].

The preview application is responsible for removing the pdf file and the print settings file when it is done.

Default value: "evince --unlink-tempfile --preview --print-settings %s %f"

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_recent_files_enabled() [1/2]

Glib::PropertyProxy< bool > Gtk::Settings::property_gtk_recent_files_enabled | ( |  | ) |

Whether GTK should keep track of items inside the recently used resources list.

If set to `false`, the list will always be empty.

Default value: `true`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_recent_files_enabled() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::Settings::property_gtk_recent_files_enabled | ( |  | ) | const

Whether GTK should keep track of items inside the recently used resources list.

If set to `false`, the list will always be empty.

Default value: `true`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_recent_files_max_age() [1/2]

Glib::PropertyProxy< int > Gtk::Settings::property_gtk_recent_files_max_age | ( |  | ) |

The maximum age, in days, of the items inside the recently used resources list.

Items older than this setting will be excised from the list. If set to 0, the list will always be empty; if set to -1, no item will be removed.

Default value: 30

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_recent_files_max_age() [2/2]

Glib::PropertyProxy_ReadOnly< int > Gtk::Settings::property_gtk_recent_files_max_age | ( |  | ) | const

The maximum age, in days, of the items inside the recently used resources list.

Items older than this setting will be excised from the list. If set to 0, the list will always be empty; if set to -1, no item will be removed.

Default value: 30

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_shell_shows_app_menu() [1/2]

Glib::PropertyProxy< bool > Gtk::Settings::property_gtk_shell_shows_app_menu | ( |  | ) |

Set to `true` if the desktop environment is displaying the app menu, `false` if the app should display it itself.

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_shell_shows_app_menu() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::Settings::property_gtk_shell_shows_app_menu | ( |  | ) | const

Set to `true` if the desktop environment is displaying the app menu, `false` if the app should display it itself.

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_shell_shows_desktop() [1/2]

Glib::PropertyProxy< bool > Gtk::Settings::property_gtk_shell_shows_desktop | ( |  | ) |

Set to `true` if the desktop environment is displaying the desktop folder, `false` if not.

Default value: `true`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_shell_shows_desktop() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::Settings::property_gtk_shell_shows_desktop | ( |  | ) | const

Set to `true` if the desktop environment is displaying the desktop folder, `false` if not.

Default value: `true`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_shell_shows_menubar() [1/2]

Glib::PropertyProxy< bool > Gtk::Settings::property_gtk_shell_shows_menubar | ( |  | ) |

Set to `true` if the desktop environment is displaying the menubar, `false` if the app should display it itself.

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_shell_shows_menubar() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::Settings::property_gtk_shell_shows_menubar | ( |  | ) | const

Set to `true` if the desktop environment is displaying the menubar, `false` if the app should display it itself.

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_sound_theme_name() [1/2]

Glib::PropertyProxy< Glib::ustring > Gtk::Settings::property_gtk_sound_theme_name | ( |  | ) |

The XDG sound theme to use for event sounds.

See the Sound Theme Specifications for more information on event sounds and sound themes.

GTK itself does not support event sounds, you have to use a loadable module like the one that comes with libcanberra.

Default value: "freedesktop"

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_sound_theme_name() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::Settings::property_gtk_sound_theme_name | ( |  | ) | const

The XDG sound theme to use for event sounds.

See the Sound Theme Specifications for more information on event sounds and sound themes.

GTK itself does not support event sounds, you have to use a loadable module like the one that comes with libcanberra.

Default value: "freedesktop"

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_split_cursor() [1/2]

Glib::PropertyProxy< bool > Gtk::Settings::property_gtk_split_cursor | ( |  | ) |

Whether two cursors should be displayed for mixed left-to-right and right-to-left text.

Default value: `true`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_split_cursor() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::Settings::property_gtk_split_cursor | ( |  | ) | const

Whether two cursors should be displayed for mixed left-to-right and right-to-left text.

Default value: `true`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_theme_name() [1/2]

Glib::PropertyProxy< Glib::ustring > Gtk::Settings::property_gtk_theme_name | ( |  | ) |

Name of the theme to load.

See [class Gtk.CssProvider] for details about how GTK finds the CSS stylesheet for a theme.

Default value: "Adwaita"

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_theme_name() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::Settings::property_gtk_theme_name | ( |  | ) | const

Name of the theme to load.

See [class Gtk.CssProvider] for details about how GTK finds the CSS stylesheet for a theme.

Default value: "Adwaita"

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_titlebar_double_click() [1/2]

Glib::PropertyProxy< Glib::ustring > Gtk::Settings::property_gtk_titlebar_double_click | ( |  | ) |

Determines the action to take when a double-click occurs on the titlebar of client-side decorated windows.

Recognized actions are minimize, toggle-maximize, menu, lower or none.

Since gtkmm 3.20:

Default value: "toggle-maximize"

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_titlebar_double_click() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::Settings::property_gtk_titlebar_double_click | ( |  | ) | const

Determines the action to take when a double-click occurs on the titlebar of client-side decorated windows.

Recognized actions are minimize, toggle-maximize, menu, lower or none.

Since gtkmm 3.20:

Default value: "toggle-maximize"

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_titlebar_middle_click() [1/2]

Glib::PropertyProxy< Glib::ustring > Gtk::Settings::property_gtk_titlebar_middle_click | ( |  | ) |

Determines the action to take when a middle-click occurs on the titlebar of client-side decorated windows.

Recognized actions are minimize, toggle-maximize, menu, lower or none.

Since gtkmm 3.20:

Default value: "none"

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_titlebar_middle_click() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::Settings::property_gtk_titlebar_middle_click | ( |  | ) | const

Determines the action to take when a middle-click occurs on the titlebar of client-side decorated windows.

Recognized actions are minimize, toggle-maximize, menu, lower or none.

Since gtkmm 3.20:

Default value: "none"

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_titlebar_right_click() [1/2]

Glib::PropertyProxy< Glib::ustring > Gtk::Settings::property_gtk_titlebar_right_click | ( |  | ) |

Determines the action to take when a right-click occurs on the titlebar of client-side decorated windows.

Recognized actions are minimize, toggle-maximize, menu, lower or none.

Since gtkmm 3.20:

Default value: "menu"

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_titlebar_right_click() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::Settings::property_gtk_titlebar_right_click | ( |  | ) | const

Determines the action to take when a right-click occurs on the titlebar of client-side decorated windows.

Recognized actions are minimize, toggle-maximize, menu, lower or none.

Since gtkmm 3.20:

Default value: "menu"

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_xft_antialias() [1/2]

Glib::PropertyProxy< int > Gtk::Settings::property_gtk_xft_antialias | ( |  | ) |

Whether to antialias fonts.

The values are 0 for no, 1 for yes, or -1 for the system default.

Default value: -1

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_xft_antialias() [2/2]

Glib::PropertyProxy_ReadOnly< int > Gtk::Settings::property_gtk_xft_antialias | ( |  | ) | const

Whether to antialias fonts.

The values are 0 for no, 1 for yes, or -1 for the system default.

Default value: -1

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_xft_dpi() [1/2]

Glib::PropertyProxy< int > Gtk::Settings::property_gtk_xft_dpi | ( |  | ) |

The font resolution, in 1024 * dots/inch.

-1 to use the default value.

Default value: -1

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_xft_dpi() [2/2]

Glib::PropertyProxy_ReadOnly< int > Gtk::Settings::property_gtk_xft_dpi | ( |  | ) | const

The font resolution, in 1024 * dots/inch.

-1 to use the default value.

Default value: -1

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_xft_hinting() [1/2]

Glib::PropertyProxy< int > Gtk::Settings::property_gtk_xft_hinting | ( |  | ) |

Whether to enable font hinting.

The values are 0 for no, 1 for yes, or -1 for the system default.

Default value: -1

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_xft_hinting() [2/2]

Glib::PropertyProxy_ReadOnly< int > Gtk::Settings::property_gtk_xft_hinting | ( |  | ) | const

Whether to enable font hinting.

The values are 0 for no, 1 for yes, or -1 for the system default.

Default value: -1

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_xft_hintstyle() [1/2]

Glib::PropertyProxy< Glib::ustring > Gtk::Settings::property_gtk_xft_hintstyle | ( |  | ) |

What degree of font hinting to use.

The possible vaues are hintnone, hintslight, hintmedium, hintfull.

Default value: ""

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_xft_hintstyle() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::Settings::property_gtk_xft_hintstyle | ( |  | ) | const

What degree of font hinting to use.

The possible vaues are hintnone, hintslight, hintmedium, hintfull.

Default value: ""

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_xft_rgba() [1/2]

Glib::PropertyProxy< Glib::ustring > Gtk::Settings::property_gtk_xft_rgba | ( |  | ) |

The type of subpixel antialiasing to use.

The possible values are none, rgb, bgr, vrgb, vbgr.

Default value: ""

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_gtk_xft_rgba() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::Settings::property_gtk_xft_rgba | ( |  | ) | const

The type of subpixel antialiasing to use.

The possible values are none, rgb, bgr, vrgb, vbgr.

Default value: ""

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ reset_property()

void Gtk::Settings::reset_property | ( | const Glib::ustring & | name | ) |

Undoes the effect of calling Glib::object_set() to install an application-specific value for a setting.

After this call, the setting will again follow the session-wide value for this setting.

Parameters

  name | The name of the setting to reset.

## Friends And Related Function Documentation

## ◆ wrap()

Glib::RefPtr< Gtk::Settings > wrap | ( | GtkSettings * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.